/* You can add global styles to this file, and also import other style files */

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

html,
body {
  height: 100%;
  box-sizing: border-box;
}
body {
  font-family: Roboto, "Helvetica Neue", sans-serif;
}

:root {
  --color-white: #fff;
  --color-green: #04cb12;
  --color-primary: #264653;
  --color-second: #2a9d8f;
  --color-third: #e9c46a;
  --color-fourth: #f4a261;
  --color-fifth: #e76f51;
  --color-navigation-background: #313131;
  --color-navigation-foreground: #ffffff80;
  --color-snippet-header: #e3e3e3;
  --color-snippet-content: #fafafa;
  --color-secondary: #dfe1e5;
  --color-light-grey: #808080;
  --color-lighter-grey: #a9a9a9;
  --color-loader: #a52a2a;
  --color-list-item: #808080;
  --color-snippet-footer: #e9c46a0a;
  --dark-primary: #212121;
  --dark-primary-light: #202020;
  --dark-foreground-primary: #121212;
  --dark-foreground-secondary: #313131;
  --dark-foreground-secondary-light: #373737;
  --dark-secondary: #181818;
  --dark-primary-hover: #383838;
  --text-primary: #ffffffd8;
  --text-secondary: #ffffff9a;
  --text-disabled: #ffffff3d;
}

.example-container {
  height: 100%;
  overflow: hidden !important;
}
.mat-drawer-content {
  height: 100%;
  overflow: hidden !important;
  background-color: var(--dark-secondary);
}

/*Scroll bar style =========== */

/* Works on Firefox */
* {
  scrollbar-width: thin;
  scrollbar-color: var(--color-navigation-foreground);
}

/* Works on Chrome, Edge, and Safari */
*::-webkit-scrollbar {
  width: 4px;
  height: 4px;
}

*::-webkit-scrollbar-track {
  background: transparent;
}

*::-webkit-scrollbar-thumb {
  background-color: var(--color-lighter-grey);
  border-radius: 20px;
}

/*END Scroll bar style=========== */

.example-sidenav .mat-drawer-inner-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.mat-dialog-container {
  background-color: var(--dark-primary);
  border: 1px solid var(--dark-foreground-secondary-light);
}
.cdk-overlay-dark-backdrop {
  background: #0000008a;
}

@media (max-width: 1024px) {
  .book-details-dialog {
    max-width: 100% !important;
    width: 80% !important;
  }
}
